<script>
let activeScrollLocks = 0;

export default {
	mounted() {
		if (activeScrollLocks === 0) {
			document.body.style.paddingRight = `${window.innerWidth - document.documentElement.clientWidth}px`;
			document.body.classList.add(this.$style.scrollLock);
		}

		activeScrollLocks += 1;
	},

	beforeDestroy() {
		if (activeScrollLocks === 1) {
			document.body.classList.remove(this.$style.scrollLock);
			document.body.style.paddingRight = '';
		}

		activeScrollLocks -= 1;
	},

	render(h) {
		return null;
	},
};
</script>

<style lang="scss" module>
@import '@design';

.scroll-lock {
	overflow: hidden;
}
</style>
